from django.db import models

# Create your models here.

class Course(models.Model):
    "A Multi-Session teaching course"
    
    class Meta:
        verbose_name = "Course"
        verbose_name_plural = "Courses"
        
    title = models.CharField(verbose_name="Title",
                             help_text="Title of this Course",
                             max_length=32)
    
    start_time = models.DateField(verbose_name="Start",
                                      help_text="Course Start Date")

    end_time = models.DateField(verbose_name="End",
                                      help_text="Course End Date")
    
class Session(models.Model):
    "A classroom teaching session"
    
    class Meta:
        verbose_name = "Class Session"
        verbose_name_plural = "Class Sessions"
        
    teacher = models.CharField(verbose_name="Teacher", 
                               help_text="Launchpad ID of this Session's teacher",
                               max_length=32)

    title = models.CharField(verbose_name="Title",
                             help_text="Title of this Session",
                             max_length=32)
    
    start_time = models.DateTimeField(verbose_name="Start",
                                      help_text="Session Start Time")

    end_time = models.DateTimeField(verbose_name="End",
                                      help_text="Session End Time")
    
    syllabus = models.URLField(verbose_name="Syllabus Link",
                               verify_exists=True)
    
    course = models.ForeignKey(Course, null=True, blank=True)
    